Unable to provision Plesk from EZ template: Unable to locate package

Created:

2016-12-12 03:45:17 UTC

Modified:

2017-08-08 13:41:42 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Unable to provision Plesk from EZ template: Unable to locate package

Applicable to:

  • Plesk 12.5 for Linux
  • Plesk Onyx for Linux

Symptoms

Unable to provision Plesk from EZ template, output is the following:

# vzpkg install 1256 pp
No package psa-miva available.
Error: Package is not found

Or

# vzpkg install 1256 pp

Reading package lists...
Building dependency tree...
Reading state information...
E: Unable to locate package sshterm
Error: /usr/bin/apt-get failed, exitcode=100

Cause

Plesk EZ templates were not updated. Plesk repository is not installed.

Resolution

Starting from November 2016 we have updated our templates and now 'pp' template stands for our new version - Plesk Onyx .

In order to install 'pp' template (Plesk Onyx) Plesk repository should be enabled in Virtuozzo Hardware Node:

# cd /etc/yum.repos.d
# wget http://autoinstall.plesk.com/ez-templates/plesk-ez-templates.repo

Previously all our templates were shipped with Virtuozzo repositories, but starting from this year, Plesk and Virtuozzo are separated business unities, so separate Plesk repository should be used for correct work and provisioning the latest version of Plesk - Plesk Onyx .

After installing Plesk repository update all currently installed templates:

# yum update pp-*

If templates are not installed use the following to install it (skip this if they are installed and updated), here is an example for the last Plesk version for CentOS7:

# yum install pp-*centos-7-x86_64-ez

Clean and update yum and Virtuozzo metadata and cache:

# yum clean metadata && yum update metadata
# vzpkg clean

After that try to install Plesk using the following command:

# vzpkg install -r CTID pp

Or:

# vzpkg install CTID pp

Please note that in order to install Plesk 12.5 you should specify 'pp12' template.

Related articles

Plesk Onyx is getting installed from EZ PP template

How to install Plesk Onyx EZ templates

Have more questions? Submit a request
Please sign in to leave a comment.